## drummer 1.0-0

=== debian/changelog ===
drummer (1.0-0) stable; urgency=low

  *Built package.

 -- Skyler Lehmkuhl <UNKNOWN>  Tue, 25 Sep 2012 14:05:01 +0000
