=== debian/control ===
Source: drummer
Section: user/utilities
Priority: extra
Maintainer: Skyler Lehmkuhl <UNKNOWN>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: drummer
Architecture: all
Depends: python, python-clutter, python-pygame
Description: 
 Play the drums 
XB-Maemo-Display-Name: Drummer
XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=75376
XB-Maemo-Flags: visible
