## drummer 1.0-1

=== debian/changelog ===
drummer (1.0-1) stable; urgency=low

  *Changed section, added path tweak.

 -- Skyler Lehmkuhl <UNKNOWN>  Tue, 25 Sep 2012 14:31:27 +0000
