=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: drummer
-Section: user/utilities
+Section: user/multimedia
 Priority: extra
 Maintainer: Skyler Lehmkuhl <UNKNOWN>
 Build-Depends: debhelper (>= 5)
