=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp

configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	mkdir -p "$(CURDIR)/debian/drummer"
	mkdir -p "$(CURDIR)/debian/drummer/opt/drummer"
	cp -a "drummer/opt/drummer/tom_med.png" "$(CURDIR)/debian/drummer/opt/drummer/tom_med.png"
	mkdir -p "$(CURDIR)/debian/drummer/opt/drummer"
	cp -a "drummer/opt/drummer/tom_small.png" "$(CURDIR)/debian/drummer/opt/drummer/tom_small.png"
	mkdir -p "$(CURDIR)/debian/drummer/opt/drummer"
	cp -a "drummer/opt/drummer/plain.png" "$(CURDIR)/debian/drummer/opt/drummer/plain.png"
	mkdir -p "$(CURDIR)/debian/drummer/opt/drummer"
	cp -a "drummer/opt/drummer/power_on.png" "$(CURDIR)/debian/drummer/opt/drummer/power_on.png"
	mkdir -p "$(CURDIR)/debian/drummer/opt/drummer"
	cp -a "drummer/opt/drummer/tom_low.wav" "$(CURDIR)/debian/drummer/opt/drummer/tom_low.wav"
	mkdir -p "$(CURDIR)/debian/drummer/opt/drummer"
	cp -a "drummer/opt/drummer/bass.wav" "$(CURDIR)/debian/drummer/opt/drummer/bass.wav"
	mkdir -p "$(CURDIR)/debian/drummer/opt/drummer"
	cp -a "drummer/opt/drummer/tom_med.wav" "$(CURDIR)/debian/drummer/opt/drummer/tom_med.wav"
	mkdir -p "$(CURDIR)/debian/drummer/opt/drummer"
	cp -a "drummer/opt/drummer/snare.png" "$(CURDIR)/debian/drummer/opt/drummer/snare.png"
	mkdir -p "$(CURDIR)/debian/drummer/opt/drummer"
	cp -a "drummer/opt/drummer/stop.png" "$(CURDIR)/debian/drummer/opt/drummer/stop.png"
	mkdir -p "$(CURDIR)/debian/drummer/opt/drummer"
	cp -a "drummer/opt/drummer/drums.py" "$(CURDIR)/debian/drummer/opt/drummer/drums.py"
	mkdir -p "$(CURDIR)/debian/drummer/opt/drummer"
	cp -a "drummer/opt/drummer/tom_big.png" "$(CURDIR)/debian/drummer/opt/drummer/tom_big.png"
	mkdir -p "$(CURDIR)/debian/drummer/opt/drummer"
	cp -a "drummer/opt/drummer/crash_cymbal.png" "$(CURDIR)/debian/drummer/opt/drummer/crash_cymbal.png"
	mkdir -p "$(CURDIR)/debian/drummer/opt/drummer"
	cp -a "drummer/opt/drummer/floor.png" "$(CURDIR)/debian/drummer/opt/drummer/floor.png"
	mkdir -p "$(CURDIR)/debian/drummer/opt/drummer"
	cp -a "drummer/opt/drummer/power_off.png" "$(CURDIR)/debian/drummer/opt/drummer/power_off.png"
	mkdir -p "$(CURDIR)/debian/drummer/opt/drummer"
	cp -a "drummer/opt/drummer/bass.png" "$(CURDIR)/debian/drummer/opt/drummer/bass.png"
	mkdir -p "$(CURDIR)/debian/drummer/opt/drummer"
	cp -a "drummer/opt/drummer/play.png" "$(CURDIR)/debian/drummer/opt/drummer/play.png"
	mkdir -p "$(CURDIR)/debian/drummer/opt/drummer"
	cp -a "drummer/opt/drummer/metronome_pressed.png" "$(CURDIR)/debian/drummer/opt/drummer/metronome_pressed.png"
	mkdir -p "$(CURDIR)/debian/drummer/opt/drummer"
	cp -a "drummer/opt/drummer/tom_high.wav" "$(CURDIR)/debian/drummer/opt/drummer/tom_high.wav"
	mkdir -p "$(CURDIR)/debian/drummer/opt/drummer"
	cp -a "drummer/opt/drummer/metronome_unpressed.png" "$(CURDIR)/debian/drummer/opt/drummer/metronome_unpressed.png"
	mkdir -p "$(CURDIR)/debian/drummer/opt/drummer"
	cp -a "drummer/opt/drummer/metronome.png" "$(CURDIR)/debian/drummer/opt/drummer/metronome.png"
	mkdir -p "$(CURDIR)/debian/drummer/opt/drummer"
	cp -a "drummer/opt/drummer/metronome.wav" "$(CURDIR)/debian/drummer/opt/drummer/metronome.wav"
	mkdir -p "$(CURDIR)/debian/drummer/opt/drummer"
	cp -a "drummer/opt/drummer/snare.wav" "$(CURDIR)/debian/drummer/opt/drummer/snare.wav"
	mkdir -p "$(CURDIR)/debian/drummer/opt/drummer"
	cp -a "drummer/opt/drummer/record.png" "$(CURDIR)/debian/drummer/opt/drummer/record.png"
	mkdir -p "$(CURDIR)/debian/drummer/opt/drummer"
	cp -a "drummer/opt/drummer/crash.wav" "$(CURDIR)/debian/drummer/opt/drummer/crash.wav"
	mkdir -p "$(CURDIR)/debian/drummer/usr/local/lib/python2.7/dist-packages"
	cp -a "drummer/usr/local/lib/python2.7/dist-packages/drummer-1.0.egg-info" "$(CURDIR)/debian/drummer/usr/local/lib/python2.7/dist-packages/drummer-1.0.egg-info"
	mkdir -p "$(CURDIR)/debian/drummer/usr/share/applications/hildon"
	cp -a "drummer/usr/share/applications/hildon/drummer.desktop" "$(CURDIR)/debian/drummer/usr/share/applications/hildon/drummer.desktop"
	mkdir -p "$(CURDIR)/debian/drummer/usr/share/icons/hicolor/80x80/apps"
	cp -a "drummer/usr/share/icons/hicolor/80x80/apps/drummer.png" "$(CURDIR)/debian/drummer/usr/share/icons/hicolor/80x80/apps/drummer.png"
	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
